[SOLVED] Unable to install software--apt malfunction

Questions about applications and software
Forum rules
Before you post please read this

[SOLVED] Unable to install software--apt malfunction

Postby Kallisti on Thu Oct 10, 2013 6:14 pm

So I have some updates in Synaptic that won't install--I keep getting the following error message, and none of the solutions I've found by Googling have been at all helpful.

All three updates--apt-transport-https, libapt-inst1.5 and apt-utils--are level 3, and all of them seem to be related to apt, which makes me wonder if there's something deeper wrong with apt itself.

Code: Select all
Setting up apt (0.9.7.7ubuntu6) ...
gpg: symbol lookup error: /usr/local/lib/libreadline.so.6: undefined symbol: UP
gpg: symbol lookup error: /usr/local/lib/libreadline.so.6: undefined symbol: UP
dpkg: error processing apt (--configure):
 subprocess installed post-installation script returned error exit status 127
Errors were encountered while processing:
 apt
W: Waited for dpkg --assert-multi-arch but it wasn't there - dpkgGo (10: No child processes)
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
Setting up apt (0.9.7.7ubuntu6) ...
gpg: symbol lookup error: /usr/local/lib/libreadline.so.6: undefined symbol: UP
gpg: symbol lookup error: /usr/local/lib/libreadline.so.6: undefined symbol: UP
dpkg: error processing apt (--configure):
 subprocess installed post-installation script returned error exit status 127
Errors were encountered while processing:
 apt


EDIT: Apparently I'm unable to install, not only those updates, but any software packages from repositories/automated software managers. I haven't tried installing anything directly from a .deb file or the like, or building from source.

This is a pretty serious problem, since Synaptic is my main way of installing software; I really hope this can be fixed soon...
Last edited by Kallisti on Sat Oct 12, 2013 9:11 pm, edited 1 time in total.
Kallisti
Level 1
Level 1
 
Posts: 25
Joined: Thu Jun 07, 2012 2:59 pm

Linux Mint is funded by ads and donations.
 

Re: [Mint 15 Olivia] Unable to install software--apt malfunc

Postby karlchen on Fri Oct 11, 2013 5:31 am

Hello, Kallisti.

Looking arounad for the message "gpg: symbol lookup error: /usr/local/lib/libreadline.so.6: undefined symbol: UP" I found this post in the Ubuntu forum, 3 years old, yet it reads as if it is the same situation. So perhaps the reported steps will help you as well: Can't update or use package manager -- gpg error

Note:
Where samicom uses the command su you might also use
Code: Select all
sudo -i
to get a root shell.

HTH,
Karl
User avatar
karlchen
Level 10
Level 10
 
Posts: 3355
Joined: Sat Dec 31, 2011 7:21 am

Re: [SOLVED] Unable to install software--apt malfunction

Postby Kallisti on Sat Oct 12, 2013 9:10 pm

I cannot believe I missed that thread--my Google-fu is, evidently, weak.

Thank you very much--that solved the problem!
Kallisti
Level 1
Level 1
 
Posts: 25
Joined: Thu Jun 07, 2012 2:59 pm


Return to Software & Applications

Who is online

Users browsing this forum: No registered users and 22 guests